mahout-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joshua Bronson <jabron...@gmail.com>
Subject Re: mahout for news recommendation?
Date Fri, 03 Apr 2009 03:53:16 GMT
On Thu, Apr 2, 2009 at 5:55 PM, Grant Ingersoll <gsingers@apache.org> wrote:

>
> On Apr 2, 2009, at 4:05 PM, Joshua Bronson wrote:
>
>  On Thu, Apr 2, 2009 at 3:30 PM, Grant Ingersoll <gsingers@apache.org>
>> wrote:
>>
>>
>>> On Apr 2, 2009, at 2:08 PM, Joshua Bronson wrote:
>>>
>>> The machine I'm having problems with the demo on is a Macbook with
>>>
>>>> Apple-distributed java tools:
>>>>
>>>> $ uname -a
>>>>
>>>> Darwin voodoo.openplans.org 9.6.0 Darwin Kernel Version 9.6.0: Mon Nov
>>>> 24
>>>> 17:37:00 PST 2008; root:xnu-1228.9.59~1/RELEASE_I386 i386 i386
>>>> MacBook2,1
>>>> Darwin
>>>>
>>>>
>>>>
>>>> $ for i in mvn java javac; do which $i; $i -version; echo; done
>>>> /usr/bin/mvn
>>>> Maven version: 2.0.6
>>>>
>>>>
>>> Please upgrade to 2.0.9 or later (2.0.10 is the latest).   By all
>>> accounts
>>> 2.0.6 is a real dog:
>>>
>>> http://www.lucidimagination.com/search/document/3e7dfef6281482dd/packaging_step_taking_forever_is_this_right
>>>
>>>
>> Actually there's a later version than 2.0.10: 2.1.0, which I tried and
>> which
>> also seems not to work with the "mvn package" step. I switched to 2.0.10
>> and
>> it worked. Have a look at http://paste.pocoo.org/show/110778/ if you get
>> a
>> chance.
>>
>
> Arg, so much for back compatibility.
>
> Let's put it this way, I use 2.0.9 and 2.0.10 and that's what I used when
> writing the Maven stuff.
>
>
>>
>> Now that I've got the demo running on my own machine, I'm looking forward
>> to
>> working with taste further. Will report back with my results.
>>
>
>
> Very cool.  Sorry for the intermittent pain!


No worries. http://lucene.apache.org/mahout/taste.html should be updated
though to save others from similar pain in the future (especially
considering that mvn 2.0.6 is the version that ships with Mac OS 10.5). To
summarize:

- "mvn 2.0.9 or 2.0.10" should be added to the Requirements list
- A "step 0" should be added for running "svn co
http://svn.apache.org/repos/asf/lucene/mahout/trunk/"
- someone with commit access should svn mkdir all the missing
directories under
trunk/taste-web/src/main/resources/org/apache/mahout/cf/taste/example/grouplens.

I'd be happy to help with this.

Josh

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message